<app-layout>
    <div class="row">
        <div class="p-4 col-12">
            <mat-form-field>
                <input matInput placeholder="Location ID" [(ngModel)]="requestData.locationId">
            </mat-form-field>
            <mat-form-field>
                <input matInput [matDatepicker]="start" [(ngModel)]="requestData.start" placeholder="From">
                <mat-datepicker-toggle matSuffix [for]="start"></mat-datepicker-toggle>
                <mat-datepicker #start></mat-datepicker>
            </mat-form-field>
            <mat-form-field>
                <input matInput [matDatepicker]="end" [(ngModel)]="requestData.end" placeholder="To">
                <mat-datepicker-toggle matSuffix [for]="end"></mat-datepicker-toggle>
                <mat-datepicker #end></mat-datepicker>
            </mat-form-field>
            <mat-form-field>
                <mat-select placeholder="Vehicles" [formControl]="requestData.vehicle" multiple>
                    <mat-select-trigger>
                        {{requestData.vehicle.value ? requestData.vehicle.value[0] : ''}}
                        <span *ngIf="requestData.vehicle.value?.length > 1" class="example-additional-selection">
                        (+{{requestData.vehicle.value.length - 1}} {{requestData.vehicle.value?.length === 2 ? 'other' : 'others'}})
                        </span>
                    </mat-select-trigger>
                    <mat-option *ngFor="let vehicle of vehicles" [value]="vehicle.value">{{vehicle.text}}</mat-option>
                </mat-select>
            </mat-form-field>
            <mat-form-field>
                <mat-select placeholder="Directions" [formControl]="requestData.direction" multiple>
                    <mat-select-trigger>
                        {{requestData.direction.value ? requestData.direction.value[0] : ''}}
                        <span *ngIf="requestData.direction.value?.length > 1" class="example-additional-selection">
                        (+{{requestData.direction.value.length - 1}} {{requestData.direction.value?.length === 2 ? 'other' : 'others'}})
                        </span>
                    </mat-select-trigger>
                    <mat-option *ngFor="let direction of directions" [value]="direction.value">{{direction.text}}</mat-option>
                </mat-select>
            </mat-form-field>
            <button class="mx-4" (click)="getAnalytics()" mat-raised-button color="primary">Get Data</button>
        </div>
    </div>
    <div class="row py-4">
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
            <div class="row">
                <div class="col-lg-6 col-md-6 col-sm-12 col-xs-12" >
                    <canvas id='linechart' width="250" height="300"></canvas>
                    <!-- <mat-card>
                        <div [chart]="directionChart"></div>
                        <div class="my-2">
                            <mat-chip-list>
                                <mat-chip *ngIf="analytics.left">LEFT: {{analytics.left}}</mat-chip>
                                <mat-chip *ngIf="analytics.right">RIGHT: {{analytics.right}}</mat-chip>
                                <mat-chip *ngIf="analytics.front">FRONT: {{analytics.front}}</mat-chip>
                            </mat-chip-list>
                        </div>
                    </mat-card> -->
                </div>
                <div class="col-lg-6 col-md-6 col-sm-12 col-xs-12" *ngIf="vehicleChart">
                    <mat-card>
                        <div [chart]="vehicleChart"></div>
                        <div class="my-2">
                            <mat-chip-list>
                                <mat-chip *ngIf="analytics.bike">BIKE: {{analytics.bike}}</mat-chip>
                                <mat-chip *ngIf="analytics.car">CAR: {{analytics.car}}</mat-chip>
                                <mat-chip *ngIf="analytics.bus">BUS: {{analytics.bus}}</mat-chip>
                                <mat-chip *ngIf="analytics.truck">TRUCK: {{analytics.truck}}</mat-chip>
                            </mat-chip-list>
                        </div>
                    </mat-card>
                </div>
            </div>
        </div>
    </div>
    <div class="row py-4" *ngIf="timelineChart">
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
            <mat-card>
                <div class="row">
                    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 m-0 p-0" *ngIf="directionChart">
                        <div [chart]="timelineChart"></div>
                    </div>
                </div>
            </mat-card>
        </div>
    </div>
</app-layout>

